Subject: [Mitbadminton] Looking for badminton player

From: Donghui Wang <[email-masked]>
Date: Mon, 19 Mar 2012 21:47:06 +0000

Hello, there,

I am not sure if I send this mail to the right mail list, but I am wondering what is the regular time do you guys play badminton at MIT gym.

About me: I have played badminton for quite many years, but I have never taken any class. I played single about 10 years ago and played double in recent years. My buddies and I used to play 15 score based match (it does not matter what your guys like, 21 or 15). I have two major breaks from badminton, one is 2003-2005, the other one is about 2 years ago to present. Considering the top level of MIT badminton, I think I am an amateur player between medium to high level.

I have never played badminton since I came to MIT. I know nobody around me who plays badminton on a regular schedule. If you or your friends are willing to take a new member to your level club, please let me know, thanks. 
I am looking forward to making new friends from badminton.

Best, 

Donghui Wang